VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TreeAdapter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa TreeAdapter
Private Tree As TreeView
Public Sub init(tr As TreeView)
  Set Tree = tr
End Sub
Public Sub addText(sw As Swimmer)
  Dim scnt As String, nod As Node
  scnt = Str$(Tree.Nodes.Count)
  Set nod = Tree.Nodes.Add(, tvwNext, "r" + sw.getName, sw.getName)
  Tree.Nodes.Add "r" + sw.getName, tvwChild, , Str$(sw.getTime)
  nod.Expanded = True
End Sub
